<template>
	<view class="hotel-detail">
		<zs-skeleton type="orderDetail" :loading="pageLoading"></zs-skeleton>
			<view class="status-box">
				<view class="text-box">
					<view class="status" v-if="info.goodsList[0].extend.orderInfo.orderStatus=='待付款'&&!isNotTime">
						等待支付，剩余<u-count-down :time="closeTime" format="mm:ss" @finish="finish"></u-count-down>
					</view>
					<view class="status" v-else>
						{{info.goodsList[0].extend.orderInfo.orderStatus}}
					</view>
					<!-- <view class="notice" v-if="info.goodsList[0].goodsState == 'APPLY_REFUND'">
						订单已取消。正在为您操作退款，预计1～7个工作日原路退回到
						您的帐户。
					</view> -->
				</view>
			</view>
			
		<!-- 	<view class="content progress"  v-if="info.goodsList[0].goodsState == 'APPLY_REFUND' || info.goodsList[0].goodsState == 'REFUNDED'"  @click="refundDetail">
				<view class="progress-title">
					退款进度
				</view>
				
				<view class="progress-desc">
					查看退款详情
				</view>
			</view> -->
			
			
			<view class="content pay-box" >
				<view class="title">
					交易信息
				</view>
				
				<view class="item">
					<view class="label">
						金额
					</view>
					<view class="value black">
						￥{{info.totalAmount}}
					</view>
				</view>
				<view class="item" >
					<view class="label">
						优惠券
					</view>
					<view class="value red">
						-￥{{info.discountAmount}}
					</view>
				</view>
				
				<view class="item">
					<view class="label">
						合计
					</view>
					<view class="value">
						<text class="red fs28">￥{{info.payAmount}}</text>
					</view>
				</view>
				
				<view class="notice" v-if="info.goodsList[0].extend.orderInfo.orderStatus!='待付款'">
					{{info.goodsList[0].goodsInfo.hotelInfo.cancelRule}}
				</view>
			</view>
			
			
			<view class="content hotel-info">
				<view class="title">
					{{info.shopInfo.chineseName}}
				</view>
				<view class="notice">
					{{info.shopInfo.address}}
				</view>
				
				<view class="tab-box">
					<view class="tab" @click="handleCall">
						联系酒店
					</view>
					<view class="tab" @click="goIntroduce">
						酒店介绍
					</view>
					<view class="tab" @click="handleNavigation">
						导航
					</view>
				</view>
				
			</view>
			
			
			<view class="content room-info-box">
				<view class="hotel-time-box">
					<view class="start-box" @click="show = true">
						<view class="time-box">
							<view class="time">
								{{info.goodsList[0].goodsInfo.checkin.substr(5)}}
							</view>
							<view class="date">
								({{info.goodsList[0].goodsInfo.checkin | filterDate('day')}})
							</view>
							<view class="day">
								{{(new Date(info.goodsList[0].goodsInfo.checkout).getTime()-new Date(info.goodsList[0].goodsInfo.checkin).getTime())/(1000*60*60*24)}}晚
							</view>
						</view>
						<view class="label">
							{{info.shopInfo.policy.checkInTime}}
						</view>
					</view>
					<view class="end-box" @click="show = true">
						<view class="time-box">
							<view class="time">
								{{info.goodsList[0].goodsInfo.checkout.substr(5)}}
							</view>
							<view class="date">
								({{info.goodsList[0].goodsInfo.checkout | filterDate('day')}})
							</view>
						</view>
						<view class="label">
							{{info.shopInfo.policy.checkOutTime}}
						</view>
					</view>
				</view>
				
				<view class="room-box">
					<view class="name-box">
						<view class="name">
							{{info.goodsList[0].goodsInfo.goodsName}}   {{info.goodsList[0].goodsInfo.numberofRooms}}间{{(new Date(info.goodsList[0].goodsInfo.checkout).getTime()-new Date(info.goodsList[0].goodsInfo.checkin).getTime())/(1000*60*60*24)}}晚 
						</view>
						<view class="room-btn-box" @click="handleRoom">
							查看房型
							<image class="right" src="../../../static/right.png" mode=""></image>
						</view>
					</view>
					<view class="notice">
						{{info.goodsList[0].goodsInfo.hotelInfo.bedType}}·{{info.goodsList[0].goodsInfo.hotelInfo.breakfastDesc}}·{{info.goodsList[0].goodsInfo.ratePlan.data.cancel.name}}·可2人入住
					</view>
				</view>
				
				<view class="item" v-for="(item,index) in info.goodsList[0].goodsInfo.customerInfo">
					<view class="label">
						入住人
					</view>
					<view class="value">
						{{item}}
					</view>
				</view>
				<view class="item">
					<view class="label">
						联系手机
					</view>
					<view class="value">
						{{info.goodsList[0].goodsInfo.contactPhone |filterStr('tel')}}
					</view>
				</view>
				<!-- <view class="item">
					<view class="label">
						确认号
					</view>
					<view class="value">
						{{info.goodsList[0].goodsInfo.contactPhone}}
					</view>
				</view> -->
			</view>
			
			
			
			<view class="content">
				<view class="title">
					订单信息
				</view>
				<view class="item">
					<view class="label">
						订单编号
					</view>
					<view class="value">
						{{info.orderNo}}
					</view>
				</view>
				<view class="item" v-if="info.goodsList[0].extend.orderInfo.orderStatus!='待付款'&&info.goodsList[0].extend.orderInfo.orderStatus!='已取消'">
					<view class="label">
						付款方式
					</view>
					<view class="value">
						{{info.payment | filterPay}}
					</view>
				</view>

				<view class="item">
					<view class="label">
						下单时间
					</view>
					<view class="value">
						{{$u.timeFormat(info.createTime,'yyyy-mm-dd hh:MM:ss')}}
					</view>
				</view>
				
				<view class="item" v-if="info.goodsList[0].extend.orderInfo.orderStatus!='待付款'&&info.goodsList[0].extend.orderInfo.orderStatus!='已取消'">
					<view class="label">
						支付时间
					</view>
					<view class="value" >
						{{payTime}}
					</view>
				</view>
			</view>
			
			<view class="content">
				<view class="title">
					发票信息
				</view>
				<view class="item">
					<view class="notice">
						需要发票可以 联系 400-797-5000 客服开票
					</view>
				</view>
			</view>
			
			
			
		<!-- 	<template v-if="info.goodsList[0].goodsState == 'APPLY_REFUND'">
				<view class="content refund-box">
					<view class="title">
						退款原因
					</view>
					
					<view class="refund-msg">
						{{info.goodsList[0].refundLog.remark}}
					</view>
				</view>
				<button type="default" :loading="btnLoading" v-if="!info.payment.transferAll" class="pay-btn" @click="cancelReply" >取消退款</button>
			</template> -->
			
			<view class="btn-box" v-if="info.goodsList[0].extend.orderInfo.orderStatus == '待付款'">
				<button class="cancel-btn" @click="cancel" :loading="btnLoading">
					取消订单
				</button>
				<button class="btn" @click="pay" :loading="btnLoading">
					立即支付
				</button>
			</view>
			
			<view class="btn-box" v-else-if="info.goodsList[0].extend.orderInfo.orderStatus == '待确认'||info.goodsList[0].extend.orderInfo.orderStatus == '已确认'||info.goodsList[0].extend.orderInfo.orderStatus == '已完成'||info.goodsList[0].extend.orderInfo.orderStatus == '酒店确认中'">
				<button class="cancel-btn" @click="cancel(1)" :loading="btnLoading">
					取消订单
				</button>
				<button class="btn" @click="handleRoom">
					再次预定 
				</button>
			</view>
			
			<view class="btn-box" v-else-if="info.goodsList[0].extend.orderInfo.orderStatus == '已取消'">
				<button class="book-btn" @click="handleRoom">
					再次预定 
				</button>
			</view>
			
			<!-- <view class="content apply-box" v-if="(JSON.parse(info.goodsList[0].extend).orderInfo.orderStatus == '已确认'||JSON.parse(info.goodsList[0].extend).orderInfo.orderStatus == '已完成')" @click="apply">
				<view class="label">
					退款申请
				</view>
				<view class="value">
					如引发商品争议，可申请平台介入处理
				</view>
				<image class="jiantou" src="../../static/jiantou-icon.png" mode=""></image>
			</view> -->
			
		
	</view>
</template>

<script>
	import {payDetails,queryPayOrder,unRefund} from '@/api/payment.js';
	import {cancelOrder} from '@/api/hotel.js'
	import {transformFromWGSToGCJ} from '@/utils/tool.js'
	export default {
		data() {
			return {
				isVisual:false,//是否是虚拟商品
				codeData:'123',
				loading:false,
				btnLoading:false,
				pageLoading:false,
				oldBright:0,
				info:{
					goodsList:[{goodsState:'CLOSE'}]
				},
				isNotTime:false,
			}
		},
		watch: {
			// isNotTime(val) {
			// 	if(this.isNotTime){
			// 		this.payDetails(this.info.orderNo)
			// 	}
			// }
		},
		filters: {
			filterType: function(val) {
				if(val == 'APPLY_REFUND'){
					return '退款审核中'
				}else if(val == 'CLOSE'){
					return '关闭订单'
				}else if(val == 'REFUNDED'){
					return '已退款'
				}else if(val == 'REFUSAL_REFUND'){
					return '拒绝退款'
				}else if(val == 'USED'){
					return '订单已完成'
				}else if(val == 'WAIT_PAYMENT'){
					return '待付款'
				}else if(val == 'WAIT_USE'){
					return '待使用'
				}
			},
			filterPay(val){
				if(val.paymentWay == 'wx.unifiedOrder'){
					return '微信支付'
				}else if(val.paymentWay == 'trade.create'){
					return '支付宝支付'
				}else if(val.paymentWay == 'uac.miniOrder'){
					return '云闪付支付'
				}else{
					return '-'
				}
			},
			filterPsptType(val){
				if(val == 1){
					return '身份证'
				}else if(val == 2){
					return '护照'
				}else if(val == 3){
					return '军官证'
				}else if(val == 4){
					return '港澳通行证'
				}else if(val == 7){
					return '台胞证'
				}
			},
			filterDate: function(value,type) {
					let timestamp = new Date(value).getTime()
				if(type == 'time'){
					return uni.$u.timeFormat(timestamp, 'mm月dd日');
				}else if(type == 'day'){
					let arr = ['日','一','二','三','四','五','六']
					let num = new Date(timestamp).getDay()
					return `周${arr[num]}`
				}
			},
			filterStr(val,type){
				let len = val.length
				if(type == 'tel'){
					return val.substring(0,3)+'****'+val.substring(len-4)
				}else{
					return val.substring(0,10)+'****'+val.substring(len-4)
				}
			}
		},
		computed: {
			closeTime() {
				return (this.info.createTime + 1000*60*30) - new Date().getTime()
			},
			payTime(){
					if(this.info.payment && this.info.payment.paymentTime){
						return this.info.payment.paymentTime
						// return uni.$u.timeFormat(this.info.payment.paymentTime,'yyyy-mm-dd hh:MM:ss') 
					}else{
						return '-'
					}
			}
		},
		methods: {
			handleRoom(){
				uni.navigateTo({
					url:`/hotel/hotelDetail?id=${this.info.goodsList[0].goodsInfo.hotelId}&checkInDate=${this.info.goodsList[0].goodsInfo.checkin}&checkOutDate=${this.info.goodsList[0].goodsInfo.checkout}`
				})
			},
			goIntroduce(){
				uni.navigateTo({
					url:`/hotel/introduce?id=${this.info.shopInfo.hotelId}`
				})
			},
			handleNavigation() {
				let {latitude,longitude} = transformFromWGSToGCJ(this.info.shopInfo.latitudeGoogle,this.info.shopInfo.longitudeGoogle)
				uni.openLocation({
							latitude,
							longitude,
							name:this.info.shopInfo.chineseName,
							address:this.info.shopInfo.address,
							success: function () {
								console.log('success');
							}
						});
			},
			handleCall() {
				if(this.info.shopInfo.tel){
					let phoneNumber =  this.info.shopInfo.tel.split('/')[0]
					uni.makePhoneCall({
						phoneNumber //仅为示例
					});
				}else{
					uni.showToast({
						title:'商家没有预留电话',
						icon:'none'
					})
				}
			},
			isRefund(){
				if(!this.info.goodsList[0].verifyModel){//没核销
					return true
				}else if(this.info.goodsList[0].verifyModel && (new Date().getTime() < (this.info.goodsList[0].verifyModel.checkTime + 1000*60*60*48))){// 已核销 并且没超过48小时
					return true
				}else{
					return false
				}
			},
			finish(){
				this.isNotTime = true
				this.payDetails(this.info.orderNo)
			},
			refundDetail(){
				uni.navigateTo({
					url:`/my/order/refundDetail?id=${this.info.orderNo}`
				})
			},
			apply(){
				let that = this
				uni.navigateTo({
					url:'./refund',
					success: function(res) {
					  // 通过eventChannel向被打开页面传送数据
					  res.eventChannel.emit('orderInfo', that.info)
					}
				})
			},
			// 获取订单详情
			payDetails(orderNo){
				payDetails(orderNo).then(res=>{
					this.pageLoading = false
					this.info = res.content
					// this.getTicketDetail(res.content.goodsList[0].goodsInfo.productId)
				})
			},
			// 取消支付
			cancel(type){
				let obj = {
					orderId:this.info.orderNo,
					remark:'退款',
				}
				if(type == 1){
					uni.showModal({
						title:'确认要取消该订单吗？',
						confirmText:'确认',
						success(res){
							console.log(res);
							if(res.confirm){
								uni.showLoading({
									title: '取消中'
								})
								cancelOrder(obj).then(res1=>{
									if(res1.state == 'Success'){
										uni.showToast({
											title: res1.content,
											icon: 'success'
										})
										this.payDetails(this.info.orderNo)
									}
								})
							}
						}
					})
				}else{
					uni.showLoading({
						title: '取消中'
					})
					cancelOrder(obj).then(res=>{
						if(res.state == 'Success'){
							uni.showToast({
								title: '取消成功',
								icon: 'success'
							})
							this.payDetails(this.info.orderNo)
						}
					})
				}
			},
			// 支付
			pay(){
				let that = this
				if (this.btnLoading) return
				this.btnLoading = true
				uni.showLoading({
					title: '支付中'
				})
				let miniPayRequest = JSON.parse(this.info.payment.miniPayRequest)
				uni.requestPayment({
					"provider": "wxpay",
					"orderInfo": miniPayRequest,
					"appid": miniPayRequest.appId, // 微信开放平台 - 应用 - AppId，注意和微信小程序、公众号 AppId 可能不一致
					"paySign": miniPayRequest.paySign,
					"nonceStr": miniPayRequest.nonceStr, // 随机字符串
					"package": miniPayRequest.package, // 固定值
					// "prepayid":  miniPayRequest.package, // 统一下单订单号 
					"timeStamp": miniPayRequest.timeStamp, // 时间戳（单位：秒）
					"signType": miniPayRequest.signType, //签名算法
					success(msg) {
						console.log('msg', msg);
						queryPayOrder(that.info.orderNo).then(res1 => {
							if (res1.state == 'Success') {
								uni.hideLoading()
								uni.showToast({
									title: '支付成功',
									icon: 'success'
								})
								that.btnLoading = false
								that.payDetails(that.info.orderNo)
							}
						})
					},
					fail(e) {
						that.btnLoading = false
						uni.hideLoading()
						uni.showToast({
							title: '取消支付',
							icon: 'fail'
						})
						// 取消支付后，获取支付信息以备再次支付
						that.payDetails(that.info.orderNo)
						console.log('err', e,this);
					}
				})
			},
			// 取消退款申请
			cancelReply(){
				if (this.btnLoading) return
				this.btnLoading = true
				uni.showLoading({
					title: '取消中'
				})
				unRefund({id:this.info.goodsList[0].id}).then(res=>{
					this.btnLoading = false
					uni.hideLoading()
					
					if (res.state == 'Success') {
						this.payDetails(this.info.orderNo)
						uni.showToast({
							title:'取消成功',
							icon:'success'
						})
					}
				})
			},
			getTicketDetail(productId){
				getTicketDetail({productId}).then(res=>{
					if(res.state == 'Success'){
						this.ticketInfo = res.content.data
						this.ticketInfo.mpLossInfo = this.ticketInfo.mpLossInfo.replace(/\n/g, "<br>")
						this.ticketInfo.info = this.ticketInfo.info.replace(/\n/g, "<br>")
						this.ticketInfo.bookNotice = this.ticketInfo.bookNotice.replace(/\n/g, "<br>")
					}
				})
			},
		},
		onReady() {
			
		},
		onLoad(options) {
			this.info.orderNo =  options.id
		},
		onShow() {
			this.pageLoading = true
			this.payDetails(this.info.orderNo)
		},
		created() {
			// this.info = JSON.parse(uni.getStorageSync('order'))
		}
	}
</script>

<style lang="scss">
.hotel-detail{
	background: #F9F9F9;
	min-height: 100vh;
	padding-bottom: 150rpx;
	.status-box{
		padding: 24rpx 24rpx 4rpx;
		display: flex;
		justify-content: space-between;
		.text-box{
			color: #181818;
			.status{
				font-weight: bold;
				font-size: 32rpx;
				display: flex;
				.u-count-down__text{
					color: $uni-color-primary!important;
				}
			}
			.notice{
				font-size: 24rpx;
				margin-top: 20rpx;
			}
		}
	}
	
	.pay-box{
		.notice{
			font-size: 24rpx;
			color: #AAAAAA;
			margin-top: 30rpx;
			line-height: 40rpx;
		}
	}
	.hotel-info{
		.title{
			font-weight: 600;
			font-size: 36rpx;
			color: #222222;
			width: 100%;
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
			margin-top: 10rpx;
		}
		.notice{
			font-size: 24rpx;
			color: #AAAAAA;
			margin-top: 20rpx;
		}
		.tab-box{
			display: flex;
			justify-content: space-between;
			margin-top: 30rpx;
			.tab{
				width: 204rpx;
				height: 52rpx;
				line-height: 52rpx;
				text-align: center;
				background: #F0F0F0;
				border-radius: 8rpx 8rpx 8rpx 8rpx;
				font-size: 28rpx;
				color: #AAAAAA;
			}
		}
	}
	
	.progress{
		.progress-title{
			font-weight: 600;
			font-size: 32rpx;
			color: #181818;
		}
		
		.progress-desc{
			font-weight: 300;
			font-size: 24rpx;
			color: #AAAAAA;
			margin-top: 15rpx;
		}
	}
	
	
	.black{
		color: #222222!important;
	}
	
	.red{
		color: red!important;
	}
	.fs28{
		font-size: 28rpx!important;
		font-weight: bold;
	}
	
	.code-box{
		display: flex;
		align-items: center;
		justify-content: space-between;
		.left{
			.title{
				font-weight: 500;
				font-size: 28rpx;
				color: #222222;
			}
			.codeNum{
				font-weight: 300;
				font-size: 24rpx;
				color: #AAAAAA;
				margin-top: 15rpx;
			}
		}
		.code-btn{
			display: flex;
			align-items: center;
			font-weight: 300;
			font-size: 24rpx;
			color: #AAAAAA;
			.jiantou{
				width: 24rpx;
				height: 24rpx;
			}
		}
		
	}
	
	.input-box{
		margin: 20rpx 30rpx;
		padding: 28rpx 24rpx;
		background: #FFFFFF;
		border-radius: 16rpx 16rpx 16rpx 16rpx;
		display: flex;
		align-items: center;
		justify-content: space-between;
		.label {
			color: #222;
			font-size: 28rpx;
		}
		
		.value {
			font-size: 28rpx;	
			color: #AAAAAA;
		}
	}
	
	.room-info-box{
		.hotel-time-box{
				display: flex;
				align-items: center;
				position: relative;
				.start-box,.end-box{
					flex: 1;
					padding-right: 24rpx;
					.label{
						font-size: 24rpx;
						color: #AAAAAA;
						margin-top: 16rpx;
					}
					.time-box{
						display: flex;
						align-items: center;
						.time{
							font-weight: 600;
							font-size: 30rpx;
							color: #222222;
						}
						.date{
							font-weight: 600;
							font-size: 30rpx;
							color: #222222;
							margin-left: 16rpx;
						}
						.day{
							width: 80rpx;
							height: 36rpx;
							line-height: 36rpx;
							text-align: center;
							background: #F0F0F0;
							border-radius: 18rpx 18rpx 18rpx 18rpx;
							font-size: 20rpx;
							color: #222222;
							margin-left: 24rpx;
						}
					}
				}
		}
		.room-box{
			padding: 28rpx 0;
			border-bottom: 1rpx solid #F0F0F0;
			.name-box{
				display: flex;
				align-items: center;
				justify-content: space-between;
				.name{
					font-weight: 600;
					font-size: 28rpx;
					color: #222222;
					width: 500rpx;
					white-space: nowrap;
					overflow: hidden;
					text-overflow: ellipsis;
				}
				.room-btn-box{
					display: flex;
					align-items: center;
					font-size: 24rpx;
					color: #3879F9;
					.right{
						width: 48rpx;
						height: 48rpx;
					}
				}
			}
			.notice{
				font-size: 24rpx;
				color: #AAAAAA;
				margin-top: 12rpx;
			}
		}
	}
	
	.content{
		margin: 20rpx 30rpx;
		padding: 28rpx 24rpx;
		border-radius: 16rpx;
		background: #fff;
		.title{
			font-weight: 600;
			font-size: 28rpx;
			color: #222222;
		}
		.item{
			display: flex;
			align-items: center;
			justify-content: space-between;
			margin-top: 28rpx;
			.label{
				font-size: 28rpx;
				color: #AAAAAA;
			}
			.value{
				font-size: 28rpx;
				color: #222222;
			}
		}
		.notice{
			font-size: 24rpx;
			color: #AAAAAA;
		}
	}
	.pay-btn{
		background: $uni-color-primary;
		width: 688rpx;
		height: 80rpx;
		line-height: 80rpx;
		border-radius: 46rpx;
		color: #fff;
		margin-top: 50rpx;
	}
	.refund-box{
		.refund-msg{
			font-weight: 300;
			font-size: 24rpx;
			color: #222222;
			margin-top: 15rpx;
			line-height: 40rpx;
		}
	}
	.apply-box{
		position: relative;
		.label{
			font-weight: 600;
			font-size: 28rpx;
			color: #222222;
		}
		.value{
			color: #999999;
			font-size: 24rpx;
			margin-top: 15rpx;
		}
		
		.jiantou{
			position: absolute;
			top: 50%;
			right: 24rpx;
			transform: translateY(-50%);
			width: 24rpx;
			height: 24rpx;
		}
	}
	.btn-box {
		position: fixed;
		bottom: 0%;
		left: 0%;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: flex-end;
		box-sizing: border-box;
		padding: 10rpx 24rpx env(safe-area-inset-bottom);
		background: #fff;
		border-top: 1rpx solid #EEEEEE;
		.cancel-btn{
			width: 240rpx;
			height: 80rpx;
			line-height: 80rpx;
			text-align: center;
			border-radius: 40rpx;
			border: 2rpx solid #EE4320;
			font-weight: 600;
			font-size: 28rpx;
			color: #EE4320;
			margin: 0;
		}
		.btn {
			width: 240rpx;
			height: 80rpx;
			line-height: 80rpx;
			text-align: center;
			background: $uni-color-primary;
			border-radius: 40rpx;
			font-weight: 600;
			font-size: 28rpx;
			color: #FFFFFF;
			margin: 0;
			margin-left: 20rpx;
		}
		.book-btn{
			width: 702rpx;
			height: 80rpx;
			line-height: 80rpx;
			text-align: center;
			background: $uni-color-primary;
			border-radius: 40rpx;
			font-weight: 600;
			font-size: 28rpx;
			color: #FFFFFF;
			margin: 0;
		}
	}
	.info{
		.order-info{
			display: flex;
			.icon{
				width: 164rpx;
				height: 164rpx;
				border-radius: 16rpx;
				flex-shrink: 0;
			}
			.shop-info{
				display: flex;
				flex-direction: column;
				justify-content: space-between;
				padding-left: 24rpx;
				flex: 1;
				box-sizing: border-box;
				.title{
					color: #181818;
					font-size: 28rpx;
					width: 450rpx;
					white-space: nowrap;
					overflow: hidden;
					text-overflow: ellipsis;
				}
				.price-box{
					display: flex;
					align-items: center;
					justify-content: space-between;
					.price{
						color: #181818;
						font-size: 32rpx;
						font-weight: bold;
					}
					
				}
				.start-time,.goods-desc{
					font-size: 24rpx;
					color: #AAAAAA;
					width: 450rpx;
					white-space: nowrap;
					overflow: hidden;
					text-overflow: ellipsis;
				}
			}
		}
		
		
	}
	
	.wrap{
		display: flex;
		justify-content: center;
		align-items: center;
		height: 100vh;
		overflow: hidden;
	}
	
}
</style>